VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
Interface Class Reference
Inheritance diagram for Interface:

## Public Member Functions
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Constructor & Destructor Documentation

virtual ~Interface | ( |  | ) |
| inline virtual noexcept

Interface | ( |  | ) |
| default

Interface | ( | const Interface & |  | ) |
| delete

Interface | ( | Interface && |  | ) |
| delete

## Member Function Documentation

const auto dynamicCast | ( |  | ) | const
| inline

auto dynamicCast | ( |  | ) |
| inline

Interface& operator= | ( | const Interface & |  | ) |
| delete

Interface& operator= | ( | Interface && |  | ) |
| delete

The documentation for this class was generated from the following file:

- interface.h